<template>
  <div v-if="isModalOpen" class="overlay" @click.prevent="close">
    <div class="modal">
      <div class="icon">
        <img v-if="icon === 'success'" src="@/assets/success.svg" alt="">
        <img v-if="icon === 'error'" src="@/assets/warning.svg" alt="">
      </div>
      {{ modalContent }}
    </div>
  </div>
</template>
<script>
import { mapGetters } from 'vuex'
import { MODAL } from '../store/types'
export default {
  name: 'UniversalModal',
  computed: {
    ...mapGetters({
      isModalOpen: MODAL.GETTER.GET_IS_MODAL_OPEN,
      modalContent: MODAL.GETTER.GET_MODAL_CONTENT,
      icon: MODAL.GETTER.GET_MODAL_ICON
    })
  },
  methods: {
    close () {
      this.$store.commit(MODAL.MUTATION.SET_IS_MODAL_OPEN, false)
      this.$store.commit(MODAL.MUTATION.SET_MODAL_CONTENT, '')
      this.$store.commit(MODAL.MUTATION.SET_MODAL_ICON, '')
    }
  }
}
</script>
<style lang="scss" scoped>
.overlay {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  background: rgba(0,0,0,0.4);
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal {
  min-height: 100px;
  min-width: 200px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #fff;
  padding: 50px;
  font-size: 20px;
  // border-radius: 8px;
  // font-family: Arial;
  font-style: normal;

  .icon {
    width: 55px;
    margin-bottom: 20px;
    img {
      width: 100%;
      height: 100%;
    }
  }
}
</style>
